//+------------------------------------------------------------------+
//|                                              CCI with RSI.mq4    |
//|                                 Code written by - John L. Thomas |
//|                                                                  |
//+------------------------------------------------------------------+


#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Yellow
#property indicator_color2 Magenta


// ----  iindicator levels
#property indicator_level2 0.0
#property indicator_level3 -100
#property indicator_level4 100

extern int RSIperiod = 2;
extern int CCIperiod1 =14;
extern double RSIexpFactor = 6;
SetLevelStyle(STYLE_SOLID,1,Silver);

//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE,EMPTY,2,indicator_color1);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE,EMPTY,2,indicator_color2);
   SetIndexBuffer(1,ExtMapBuffer2);
  
  
//----
   return(0);
  }

int deinit()
  {
   return(0);
  }

int start()
  {
   int i,j,limit,counted_bars=IndicatorCounted();
   
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   
   for(i=0; i<limit; i++){
      ExtMapBuffer1[i]=iCCI(NULL,0,CCIperiod1,PRICE_TYPICAL,i);
      ExtMapBuffer2[i]=(iRSI(NULL,0,RSIperiod,PRICE_CLOSE,i)-50)*RSIexpFactor;
   }
   

   return(0);
  }
//+------------------------------------------------------------------+